This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022986 - Cannot clone repository when a url contains leading and trailing whitespaces
Cannot clone repository when a url contains leading and trailing whitespaces
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.0.0
Assigned To: manstis
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 08:04 EDT by Ivo Bek
Modified: 2014-08-06 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2013-10-24 08:04:53 EDT
Description of problem:

I receive this error whenever I forgot to remove trailing whitespaces:

Can't clone repository. java.lang.RuntimeException:Invalid remote: origin

and following error when I forgot to remove leading whitespaces:

Can't clone repository. java.lang.RuntimeException:File does not exist: .niogit/myrepo.git

There is nothing in server log but it should be enough to trim the url before you will use it.

How reproducible:

In Business central, clone a repository with leading or trailing whitespaces.
Comment 3 Ivo Bek 2013-12-04 06:58:07 EST
Verified in BPMS 6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.